package cn.com.infosec.x509;

import cn.com.infosec.util.Selector;

public class X509CertPairStoreSelector implements Selector {
   private X509CertStoreSelector forwardSelector;
   private X509CertStoreSelector reverseSelector;
   private X509CertificatePair certPair;

   public X509CertificatePair getCertPair() {
      return this.certPair;
   }

   public void setCertPair(X509CertificatePair certPair) {
      this.certPair = certPair;
   }

   public void setForwardSelector(X509CertStoreSelector forwardSelector) {
      this.forwardSelector = forwardSelector;
   }

   public void setReverseSelector(X509CertStoreSelector reverseSelector) {
      this.reverseSelector = reverseSelector;
   }

   public Object clone() {
      X509CertPairStoreSelector var1;
      X509CertPairStoreSelector var10001 = var1 = new X509CertPairStoreSelector;
      var1.<init>();
      var10001.certPair = this.certPair;
      X509CertStoreSelector var2;
      if ((var2 = this.forwardSelector) != null) {
         var1.setForwardSelector((X509CertStoreSelector)var2.clone());
      }

      X509CertStoreSelector var3;
      if ((var3 = this.reverseSelector) != null) {
         var1.setReverseSelector((X509CertStoreSelector)var3.clone());
      }

      return var1;
   }

   public boolean match(Object obj) {
      boolean var10000;
      boolean var10001;
      try {
         var10000 = obj instanceof X509CertificatePair;
      } catch (Exception var11) {
         var10001 = false;
         return false;
      }

      if (!var10000) {
         return false;
      } else {
         X509CertPairStoreSelector var13;
         X509CertificatePair var15;
         try {
            var13 = this;
            var15 = (X509CertificatePair)obj;
         } catch (Exception var10) {
            var10001 = false;
            return false;
         }

         X509CertificatePair var2 = var15;

         X509CertStoreSelector var14;
         try {
            var14 = var13.forwardSelector;
         } catch (Exception var9) {
            var10001 = false;
            return false;
         }

         X509CertStoreSelector var3 = var14;
         if (var14 != null) {
            try {
               var10000 = var3.match((Object)var2.getForward());
            } catch (Exception var8) {
               var10001 = false;
               return false;
            }

            if (!var10000) {
               return false;
            }
         }

         try {
            var14 = this.reverseSelector;
         } catch (Exception var7) {
            var10001 = false;
            return false;
         }

         var3 = var14;
         if (var14 != null) {
            try {
               var10000 = var3.match((Object)var2.getReverse());
            } catch (Exception var6) {
               var10001 = false;
               return false;
            }

            if (!var10000) {
               return false;
            }
         }

         X509CertificatePair var16;
         try {
            var16 = this.certPair;
         } catch (Exception var5) {
            var10001 = false;
            return false;
         }

         X509CertificatePair var12 = var16;
         if (var16 == null) {
            return true;
         } else {
            try {
               return var12.equals(obj);
            } catch (Exception var4) {
               var10001 = false;
               return false;
            }
         }
      }
   }

   public X509CertStoreSelector getForwardSelector() {
      return this.forwardSelector;
   }

   public X509CertStoreSelector getReverseSelector() {
      return this.reverseSelector;
   }
}
